package com.dragoninfo.dcuc.app.dto;

import com.dragoninfo.dcuc.app.entity.ManufacturerInfo;
import com.dragoninfo.dcuc.app.enumresources.ManufacturerMsgTypeEnum;
import com.dragonsoft.duceap.base.entity.security.BaseSecurityUser;
import lombok.Data;

import java.io.Serializable;

/**
 * @author huangzqa
 * @date 2020/11/10
 */
@Data
public class ManufacturerEventDTO implements Serializable {

    private static final long serialVersionUID = -995109841055056191L;

    /**
     * 当前用户
     */
    private BaseSecurityUser baseSecurityUser;

    /**
     * 厂商信息
     */
    private ManufacturerInfo manufacturerInfo;

    /**
     * 内容
     */
    private String content;

    /**
     * 操作类型
     */
    private ManufacturerMsgTypeEnum manufacturerMsgTypeEnum;
}
