package com.dragoninfo.dcuc.app.dto.dataresource;

import lombok.Data;

import java.util.List;

/**
 * <p>
 * 分页返回
 * </p>
 *
 * @author huangzqa
 * @date 2022/10/2
 */
@Data
public class PageDataRespDTO<T> {
    /**
     * 当前页码
     */
    private Integer page;
    /**
     * 每页条数，为空默认为10
     */
    private Integer pageSize;
    /**
     * 总记录数
     */
    private Integer totalCount;
    /**
     * 返回数据
     */
    private List<T> dataList;

}
