package com.dragoninfo.dcuc.app.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * @author mazq
 * @date 2022/10/4
 */
public enum AppDataTypeEnum implements ICodeEnum {

    /**
     * 表资源类型
     */
    TAB("TAB", "表"),

    /**
     * 列资源类型
     */
    COL("COL", "列");

    /**
     * 数据资源code
     */
    private String value;

    /**
     * 数据资源名称
     */
    private String label;

    AppDataTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }
}
