package com.dragoninfo.dcuc.app.enumresources;


import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * 厂商消息变更类型
 *
 * @author huanghy, huangzqa
 * @date 2019/05/08
 */
public enum ManufacturerMsgTypeEnum implements ICodeEnum {

    /**
     * 厂商新增
     */
    SAVE("10", "厂商新增"),
    /**
     * 厂商修改
     */
    UPDATE("20", "厂商修改"),
    /**
     * 厂商删除
     */
    DELETED("30", "厂商删除");

    private final String value;

    private final String label;

    ManufacturerMsgTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return value;
    }

    @Override
    public String getLabel() {
        return label;
    }
}
