package com.dragoninfo.dcuc.app.dto;


import lombok.Data;

/**
 * 推送应用和菜单数据DTO
 * 为保存全量json数据，字段设置为str类型
 * @author mazq
 * @date 2021/2/19
 */
@Data
public class AppStrAcceptDTO {

    /**
     * 推送过来的应用信息字符串
     */
    private String tappSystem;
    /**
     * 推送过来的功能信息字符串
     */
    private String tappFunctionList;


}
