package com.dragoninfo.dcuc.app.dto.dataresource;

import lombok.Data;

/**
 * <p>
 * 分页请求
 * </p>
 *
 * @author huangzqa
 * @date 2022/10/2
 */
@Data
public class PageReqDTO {
    /**
     * 请求页码，从1开始
     */
    private Integer page;
    /**
     * 每页条数，为空默认为10
     */
    private Integer pageSize;

    /**
     * 条件
     */
    private Object condition;
}
