package com.dragoninfo.dcuc.app.enumresources;

/**
 * 数据属性类型枚举类
 * @author mazq
 * @date 2021/4/13
 */
public enum DataAttrTypeEnum {
    /**
     * 列资源
     */
    DATA_ATTR_COLUMN("列资源","COLUMN"),

    /**
     * 表资源
     */
    DATA_ATTR_TABLE("表资源","TABLE"),

    /**
     * 公用资源
     */
    DATA_ATTR_ALL("公用资源","ALL");

    DataAttrTypeEnum(String label, String value) {
        this.label = label;
        this.value = value;
    }

    /**
     * 数据属性名称
     */
    private String label;

    /**
     * 数据属性值
     */
    private String value;


    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
