package com.dragoninfo.dcuc.app.business;

import java.lang.reflect.Type;
import java.util.Map;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2022/10/2
 */
public interface IDataCatalogBusiness {

    /**
     * 同步表和字段
     */
    void syncTableAndColumn();

    /**
     * 根据类型获取数据类别
     *
     * @param paramMap 请求参数
     * @param type     类型
     * @param <T>      泛型
     * @return 查询到的数据
     */
    <T> T getDataResource(Map<String,Object> paramMap, Type type);
}
